Subject: [bug#45039] [PATCH] Remove duplicate path declaration

From: Ludovic Courtès <[email-masked]>
Date: Mon, 07 Dec 2020 10:04:12 +0100

Hi,

Leo Famulari <[email-masked]> skribis:

> On Fri, Dec 04, 2020 at 10:51:37AM +0100, Holger Peters wrote:
>> * doc/guix.texi: Fixup path declaration.
>
>>  @example
>> -GUIX_PROFILE="$HOME/.config/guix/current/etc/profile"
>> +GUIX_PROFILE="$HOME/.config/guix/current"
>>  . "$GUIX_PROFILE/etc/profile"
>>  @end example
>
> Thanks! That example is definitely not right...

Indeed; applying.

> However, it doesn't seem right to me either that GUIX_PROFILE should
> point to '~/.config/guix/current/etc/profile'. That profile won't
> contain anything useful related to packages the user installs. Compare
> it to the contents of '~/.guix-profile/etc/profile' to see what I mean.

Note that GUIX_PROFILE here is a shell variable, not an environment
variable.  It value matters only for the “.” that immediately follows.
After that, it no longer matters.

> I alo was curious about the preceding paragraph, which states "Unless
> you’re on Guix System, the first time you run guix pull, be sure to
> follow the hint that the command prints [...]". I re-installed Guix on a
> Debian system and it prints this instead:
>
> ------
> hint: Consider setting the necessary environment variables by running:
>
>      GUIX_PROFILE="/root/.guix-profile"
>      . "$GUIX_PROFILE/etc/profile"
>
> Alternately, see `guix package --search-paths -p "/root/.guix-profile"'.
> ------
>
> CC-ing Ludovic (who wrote this section) for clarification.

Isn’t it what ‘guix install’ printed rather than what ‘guix pull’
printed?

For example, look:

--8<---------------cut here---------------start------------->8---
$ guix pull -p /tmp/g
[…]
building profile with 1 package...
hint: Consider setting the necessary environment variables by running:

     GUIX_PROFILE="/tmp/g"
     . "$GUIX_PROFILE/etc/profile"

Alternately, see `guix package --search-paths -p "/tmp/g"'.

hint: After setting `PATH', run `hash guix' to make sure your shell refers to `/tmp/g/bin/guix'.
--8<---------------cut here---------------end--------------->8---

The hint is about this very profile, not about ~/.guix-profile.

Thanks,
Ludo’.